#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2-3 |tr '-' '.' )
%define		aname		%(echo %{sname} | cut -d '.' -f1)
%define		bname		%(echo %{sname} | cut -d '.' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-zope-configuration
Version		:	5.0
Release		:	16.2.0.rel%{?dist}
Summary		:	The Zope configuration system provides an extensible system for supporting various kinds of configurations.
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ZPLv2.1
URL		:	https://pypi.io

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-pep517
BuildRequires	:	python-wheel
BuildRequires	:	python3-manuel
BuildRequires	:	python3-setuptools
BuildRequires	:	python3-zope-event
BuildRequires	:	python3-zope-i18nmessageid
BuildRequires	:	python3-zope-interface
BuildRequires	:	python3-zope-schema
BuildRequires	:	python3-six

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
The Zope configuration system provides an extensible
system for supporting various kinds of configurations.

It is based on the idea of configuration directives.
Users of the configuration system provide configuration
directives in some language that express configuration
choices. The intent is that the language be pluggable.
An XML language is provided by default.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc CHANGES.rst COPYRIGHT.txt README.rst
%{python3_sitelib}/%{aname}/%{bname}/*.py
%{python3_sitelib}/%{aname}/%{bname}/__pycache__/*.pyc
%{python3_sitelib}/%{aname}/%{bname}/tests/excludedemo/*.zcml
%{python3_sitelib}/%{aname}/%{bname}/tests/excludedemo/*.py
%{python3_sitelib}/%{aname}/%{bname}/tests/excludedemo/__pycache__/*.pyc
%{python3_sitelib}/%{aname}/%{bname}/tests/excludedemo/sub/*.py
%{python3_sitelib}/%{aname}/%{bname}/tests/excludedemo/sub/__pycache__/*.pyc
%{python3_sitelib}/%{aname}/%{bname}/tests/excludedemo/sub/*.zcml
%{python3_sitelib}/%{aname}/%{bname}/tests/samplepackage/configure.zcml.in
%{python3_sitelib}/%{aname}/%{bname}/tests/samplepackage/*.py
%{python3_sitelib}/%{aname}/%{bname}/tests/samplepackage/__pycache__/*.pyc
%{python3_sitelib}/%{aname}/%{bname}/tests/samplepackage/foo.zcml.in
%{python3_sitelib}/%{aname}/%{bname}/tests/samplepackage/*.zcml
%{python3_sitelib}/%{aname}/%{bname}/tests/unicode_all/*.py
%{python3_sitelib}/%{aname}/%{bname}/tests/unicode_all/__pycache__/*.pyc
%{python3_sitelib}/%{aname}/%{bname}/tests/*.py
%{python3_sitelib}/%{aname}/%{bname}/tests/__pycache__/*.pyc
%{python3_sitelib}/%{aname}/%{bname}/tests/*.zcml
%{python3_sitelib}/%{aname}.%{bname}-%{version}.dist-info/
%{python3_sitelib}/%{aname}.%{bname}-%{version}-*-nspkg.pth

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
PURE_PYTHON=1 %{__python}				\
  -m unittest discover					\
  -s %{buildroot}%{python3_sitearch}/%{aname}/%{bname}	\
  -t							\
  %{buildroot}%{python3_sitearch}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl

#-----------------------------------------------------------------------------
%changelog
